PLASMAENGINEEXPLO(1)

IME
plasmaengineexplorer - Omogoča neposreden dostop do mehanizmov plazemskih podatkov

SINOPSIS

plasmaengineexplorer [-v, --version] [-h, --help] [--list] [--heightpixels] [--widthpixels] [-xpixels] [-ypixels] [--enginedata engine] [--sourcedata engine] [--intervalms] [--appapplication]

plasmaengineexplorer [KDE Generic Options] [Qt Generic Options]

OPIS

plasmaengineexplorer je grafično orodje, ki razvijalcem omogoča preizkušanje podatkovnih motorjev Plasma brez pisanja programčka Plasma.

Če ni podana nobena možnost, se bo zagnal brez izbranega podatkovnega mehanizma. Zahtevani podatkovni mehanizem lahko izberete s spustnega seznama.

Najdeni bodo samo nameščeni podatkovni motorji. Morda bo treba zagnati kbuildsycoca4, da se najdejo na novo nameščeni podatkovni pogoni.

MOŽNOSTI

-v, --version
    Prikaže informacije o različici.

-h, --help
    Prikaže to pomoč.

--list piksli
    Prikaže seznam znanih motorjev in njihove opise.

--višina
    Nastavi višino okna v slikovnih pikah.

--width pikslov
    Nastavi širino okna v slikovnih pikah.

-x piksli
    Nastavi x (vodoravno) koordinato zgornjega levega kota okna v slikovnih pikah.

-y piksli
    Nastavi y (navpično) koordinato zgornjega levega kota okna v slikovnih pikah.

--engine podatkovni motor
    Zaženite plasmaengineexplorer z izbranim podatkovnim mehanizmom. podatkovni mehanizem je notranje ime podatkovnega mehanizma, ki ga poda ključ X-KDE-PluginInfo-Name datoteke namizja.

--source podatkovni mehanizem
    Velja samo v povezavi z --engine. Zahteva določen vir od podatkovnega mehanizma, ko se zažene plasmaengineexplorer.

--interval čas
    Nastavi privzeti interval posodobitve za zahtevane vire na čas milisekunde. Če ni nastavljen, se bo vir posodobil na zahtevo (za nekatere vire bo to, ko bodo na voljo novi podatki).

    Če je podan --source, je to interval posodobitve, ki bo uporabljen pri zahtevi za ta vir.

--app aplikacija
    Pokaži samo motorje, povezane z nadrejeno aplikacijo; preslika v vnos X-KDE-ParentApp v datoteki .desktop DataEngine-a.

GLEJ TUDI

Podrobnejša uporabniška dokumentacija je na voljo na help:/plasma-desktop (vnesite ta URL v Konqueror ali zaženite khelpcenter help:/plasma-desktop).

PRIMERI

Naložite mehanizem časovnih podatkov, ki prikazuje lokalni čas in se posodablja vsako sekundo:

    plasmaengineexplorer --engine time --source Local --interval 1000

AVTORJI

plasmaengineexplorer je bil napisan s strani Aaron Seigo <aseigo@kde.org>.